Request

Response

    Get a Folder
    GET

    vaults/{vaultId}/folders/{id}

    Retrieves a folder by its ID.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/folders/{id}
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.
    id
    string
    The unique identifier of a folder. If the value is root, the root folder is returned.

    Response

    HTTP Status Code Summary

    200
    OK
    The folder was successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (200)

    Expand all
    id
    string
    The unique identifier of this folder.
    url
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.

    Example

    This example illustrates how to get a folder by ID.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/117/folders/2' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "name": "ColinTest",
      "id": "2",
      "parent": {
        "name": "$",
        "id": "1",
        "fullName": "$",
        "categoryColor": -1,
        "stateColor": 0,
        "subfolderCount": 1,
        "isLibrary": false,
        "isCloaked": false,
        "isReadOnly": false,
        "createDate": "2024-10-11T06:59:09.53Z",
        "createUserName": "Administrator",
        "entityType": "Folder",
        "url": "/AutodeskDM/Services/api/vault/v2/vaults/117/folders/1"
      },
      "parentFolderId": "1",
      "fullName": "$/ColinTest",
      "category": "Folder",
      "categoryColor": -2302756,
      "stateColor": 0,
      "subfolderCount": 0,
      "isLibrary": false,
      "isCloaked": false,
      "isReadOnly": false,
      "createDate": "2024-10-11T07:04:11.723Z",
      "createUserName": "TestAccount",
      "properties": [
        {
          "propertyDefinitionId": "6",
          "value": "TestAccount",
          "definition": {
            "id": "6",
            "displayName": "Created By",
            "systemName": "CreateUserName",
            "dataType": "String",
            "isSystem": true,
            "active": true,
            "url": "/AutodeskDM/Services/api/vault/v2/vaults/117/property-definitions/6"
          }
        },
        {
          "propertyDefinitionId": "7",
          "value": "2024-10-11T07:04:11.723Z",
          "definition": {
            "id": "7",
            "displayName": "Create Date",
            "systemName": "CreateDate",
            "dataType": "DateTime",
            "isSystem": true,
            "active": true,
            "url": "/AutodeskDM/Services/api/vault/v2/vaults/117/property-definitions/7"
          }
        },
        ......
      ],
      "entityType": "Folder",
      "url": "/AutodeskDM/Services/api/vault/v2/vaults/117/folders/2"
    }
    
    Show More